summaryrefslogtreecommitdiffstats
path: root/ham
diff options
context:
space:
mode:
author Panagiotis Nikolaou <hostmaster@slackonly.com>2015-01-18 00:22:44 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2015-01-18 00:22:44 +0700
commit74f89b26c070f48a7064537d1553f4d87b9bf89a (patch)
tree5e31e5b598b5e3ff205b9e6deeb1190ffd8ef5d5 /ham
parent304dba739e284464ca9f5ce5454a82dc597e95fc (diff)
downloadslackbuilds-74f89b26c070f48a7064537d1553f4d87b9bf89a.tar.gz
slackbuilds-74f89b26c070f48a7064537d1553f4d87b9bf89a.tar.xz
ham/rtl-sdr: Added (Realtek RTL2832 Driver).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'ham')
-rw-r--r--ham/rtl-sdr/README14
-rw-r--r--ham/rtl-sdr/rtl-sdr.SlackBuild114
-rw-r--r--ham/rtl-sdr/rtl-sdr.info10
-rw-r--r--ham/rtl-sdr/slack-desc19
4 files changed, 157 insertions, 0 deletions
diff --git a/ham/rtl-sdr/README b/ham/rtl-sdr/README
new file mode 100644
index 0000000000..b4808cb0b8
--- /dev/null
+++ b/ham/rtl-sdr/README
@@ -0,0 +1,14 @@
+Turns your Realtek RTL2832 based DVB dongle into a SDR receiver
+DVB-T dongles based on the Realtek RTL2832U can be used as a
+cheap SDR, since the chip allows transferring the raw I/Q
+samples to the host, which is officially used for DAB/DAB+/FM
+demodulation.
+
+Below are some paramaters that can be passed to the slackbuild
+to turn on some optional components.
+
+RULES=yes|no (Default is no) In order to be able to use the
+dongle as a non-root user, you may install the appropriate
+udev rules
+
+DETACHING=yes|no (Default is no) kernel driver detaching
diff --git a/ham/rtl-sdr/rtl-sdr.SlackBuild b/ham/rtl-sdr/rtl-sdr.SlackBuild
new file mode 100644
index 0000000000..6e0d7981ab
--- /dev/null
+++ b/ham/rtl-sdr/rtl-sdr.SlackBuild
@@ -0,0 +1,114 @@
+#!/bin/sh
+
+# Slackware build script for rtl-sdr
+
+# Copyright 2015 Panagiotis Nikolaou, Karlovasi Samos, Gr
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=rtl-sdr
+VERSION=${VERSION:-0.5.3}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+
+# Use the dongle as a non-root user.
+if [ "${RULES:-no}" == "yes" ]; then
+ OPT1="$OPT -DINSTALL_UDEV_RULES=ON"
+fi
+
+# Detaching kernel driver.
+if [ "${DETACHING:-no}" == "yes" ]; then
+ OPT2="OPT -DDETACH_KERNEL_DRIVER=ON"
+fi
+
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvzf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DLIB_INSTALL_DIR=lib${LIBDIRSUFFIX} \
+ $OPT1 \
+ $OPT2 \
+ -DCMAKE_BUILD_TYPE=Release ..
+ make
+make install DESTDIR=$PKG
+cd ..
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+# install udev rules if RULES=yes
+( cd $PKG
+ for i in $(ls -1 etc/udev/rules.d/rtl-sdr.rules); do
+ mv etc/udev/rules.d/rtl-sdr.rules etc/udev/rules.d/10-rtl-sdr.rules
+ echo "config etc/udev/rules.d/10-rtl-sdr.rules" >> install/doinst.sh
+done )
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/ham/rtl-sdr/rtl-sdr.info b/ham/rtl-sdr/rtl-sdr.info
new file mode 100644
index 0000000000..2c0057b6d0
--- /dev/null
+++ b/ham/rtl-sdr/rtl-sdr.info
@@ -0,0 +1,10 @@
+PRGNAM="rtl-sdr"
+VERSION="0.5.3"
+HOMEPAGE="http://sdr.osmocom.org/trac/wiki/rtl-sdr"
+DOWNLOAD="http://cgit.osmocom.org/rtl-sdr/snapshot/rtl-sdr-0.5.3.tar.gz"
+MD5SUM="08c06a3b215dc70086e603e4fd1a7ef8"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Panagiotis Nikolaou"
+EMAIL="hostmaster@slackonly.com"
diff --git a/ham/rtl-sdr/slack-desc b/ham/rtl-sdr/slack-desc
new file mode 100644
index 0000000000..d9f7622604
--- /dev/null
+++ b/ham/rtl-sdr/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+rtl-sdr: rtl-sdr (inexpensive USB software defined receiver)
+rtl-sdr:
+rtl-sdr: turns your Realtek RTL2832 based DVB dongle into a SDR receiver
+rtl-sdr: DVB-T dongles based on the Realtek RTL2832U can be used as a cheap
+rtl-sdr: SDR since the chip allows transferring the raw I/Q samples to the
+rtl-sdr: host which is officially used for DAB/DAB+/FM demodulation
+rtl-sdr:
+rtl-sdr: homepage: http://sdr.osmocom.org/trac/wiki/rtl-sdr
+rtl-sdr:
+rtl-sdr:
+rtl-sdr: